%define api_version 1.0
%define pkg_name geronimo-validation_%{api_version}_spec

Name:          geronimo-validation-1.0-api
Version:       1.1
Release:       %mkrel 1
Summary:       Apache Geronimo JSR-303 Bean Validation Spec %{api_version} API
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-validation-1.0-api-1.1-use_parent_pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: geronimo-osgi-locator
BuildRequires: geronimo-parent-poms

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Apache Geronimo implementation of the JSR-303 Bean Validation Spec %{api_version} API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Apache Geronimo JSR-303 Bean Validation Spec %{api_version} API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

%patch0 -p0

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-validation-%{api_version}-api.jar
(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-validation-%{api_version}-api.jar geronimo-validation.jar
)

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-validation-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-validation-%{api_version}-api.pom geronimo-validation-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-validation-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-validation-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-validation-%{api_version}-api.jar
%{_javadir}/geronimo-validation.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/geronimo-validation-%{api_version}-api


%changelog
* Sun Aug 14 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 133050
- Clean spec file

  + gil <gil>
    - imported package geronimo-validation-1.0-api

